* MEMORY VARIABLES;
 
if proxy1=2 then do; 
    if v323 ne . then do;
        memnow1 =1*(v323=5)
            +2*(v323=4)
            +3*(v323=3)
            +4*(v323=2)
            +5*(v323=1);
        end;

    if v324=1 and v325=1 then memch1=1;
    if v324=5 then memch1=3;
    if v324=1 and v325=2 then memch1=5;
    end;

else if proxy1=1 then do;
    if v355 ne . then do;
        memnow1 =1*(v355=5)
            +2*(v355=4)
            +3*(v355=3)
            +4*(v355=2)
            +5*(v355=1);
        end;    
    if v356 ne . then do;
        memch1=v356;
        end;
    end;

if memch1 ne . then do;
    membett1 = (memch1=1);
    memsame1 = (memch1=3);
    memwors1 = (memch1=5);
    end;

label
    memnow1  = 'rate memory 1=pr 5=ex, w1'
    memch1   = 'mem change past yr 1=bet 5=wrs, w1'
    membett1 = 'mem better than 1yr ago, w1'
    memsame1 = 'mem same as 1 yrs ago, w1'
    memwors1 = 'mem worse than 1yr ago, w1'
    ;

* COGNITIVE STATUS;

   immwrdc1=immwordc; 
   ser7_1  =series7;
   ticsr1  =ticsr;
   delwrdc1=delwordc;
   cogimm1 =cogimm;
   cesd8_1 =cesd8;
   aff9_1  =aff9;
   aff10_1 =aff10;

   label
       immwrdc1='c4. immediate recall-# correct, w1'
       ser7_1='c11a-c11e. # correct subtractions, w1'
       ticsr1='tics score: no serial 7 or words, w1'
       delwrdc1='c12. delayed recall-# correct, w1'
       cogimm1='cognitive score 2, w1'
       cesd8_1='ces-d, b24-v24i: sum, w1'
       aff9_1='b24-v24i: sum, w1'
       aff10_1='b24-b24j: sum, w1'
       ;

if proxy1=1 then do;
    misscog1=(cogimm1=.);
    end;
   
     
* proxy respondents;
if proxy1=2 then do;
    if v323 ne . then pmem1=(v323 in(4,5));
    if v328 ne . then pjdg1=(v328 in(4,5));
    if v333 ne . then porg1=(v333 in(4,5));
    
    if pmem1=1 or pjdg1=1 or porg1=1 then  pcog1_1=1;
    else if pmem1=. or pjdg1=. or porg1=. then pcog1_1=.;
    else pcog1_1=0; 
    
    if v342 ne . then plost1=(v342=1);
    if v343 ne . then pwand1=(v343=1);
    if v344 ne . then pleft1=(v344=5);
    if v345 ne . then phall1=(v345=1);

    if plost1=1 or pwand1=1 or pleft1=1 or phall1=1 then  pcog2_1=1;
    else if plost1=. or pwand1=. or pleft1=. or phall1=. then  pcog2_1=.;
    else pcog2_1=0; 
    
    if pcog1_1=1 or pcog2_1=1 then  pcogn1=1;
    else if pcog1_1=. or pcog2_1=. then  pcogn1=.;
    else pcogn1=0;       

    misscog1=(pcogn1=.);
    end;

if cogimm1 ne . then cogn1=(0 < cogimm1 <=15);
else if pcogn1 ne . then cogn1=(pcogn1=1);

label
    cogn1='cognitive impairment w1'
    pcogn1='proxy & cogn imp'
    misscog1='cogn missing w1'
    pcog1_1='proxy cog 1 w1'
    pcog2_1='proxy cog 2 w1'

    pmem1='proxy cog memory, w1'
    pjdg1='proxy cog judgement, w1'
    porg1='proxy cog organize, w1'

    plost1='proxy cog get lost, w1'
    pwand1='proxy cog wander, w1'
    pleft1='proxy cog be left alone, w1'
    phall1='proxy cog hallucinate, w1'
    ;



* DEPRESSION;

if cesd8_1 ne . then depres1=(cesd8_1>4);

* check this ......;
if depres1=. and proxy1=2 then depres1=0;

label depres1='depressed, cesd8>4 w1';

