************************************************;
************************************************;
* Code HEALTH VARIABLES;
************************************************;
************************************************;


*Weight and height;
 if v304 ne . then weight1=v304;
 if v306 ne . then height1=v306;
label
    weight1='weight (pounds), w1'
    height1='height (inches), w1'
    ;

bmi1=bmi;
catbmi1=catbmi;

label
    bmi1='body mass index (quetelet), w1'
    catbmi1='body mass index (bracket), w1'
;


* self-rated HEALTH STATUS;

 hlth1 = v204;
 if hlth1=0 then hlth1=.;

 if hlth1 ne . then do;
     hlthex1 = (v204=1);
     hlthvg1 = (v204=2);
     hlthgd1 = (v204=3);
     hlthfr1 = (v204=4);
     hlthpr1 = (v204=5);

     h_exvg1=((hlthvg1=1) or (hlthex1=1)); 
     h_frpr1=((hlthfr1=1) or (hlthpr1=1)); 
     end;

 if v208 ne . then do;
     hlthbet1= (v208=1);
     hlthsam1= (v208=3);
     hlthwrs1= (v208=5);
     end;

 nrhch1= (v208<0);
 
 label 
     hlth1='hlth 1=ex,5=pr, w1'
     hlthex1='hlth exc w1'
     hlthvg1='hlth vgood w1'
     hlthgd1='hlth good w1'
     hlthfr1='hlth fair w1'
     hlthpr1='hlth poor w1'
     h_exvg1='hlth exc/vgood w1'
     h_frpr1='hlth fair/poor w1'
     hlthbet1='hlth better 1yr w1'
     hlthsam1= 'hlth same 1 yr w1'
     hlthwrs1= 'hlth worse 1yr w1'
     nrhch1='non-resp hlth ch w1'
     ;

* HEALTH CONDITIONS;

if v215 ne . then highbp1 = (v215=1);
if v219 ne . then diabet1 = (v219=1);
if v225 ne . then cancer1 = (v225=1);
if v235 ne . then lung1 = (v235=1);
if v242 ne . then heart1 = (v242=1);
if v252 ne . then stroke1 = (v252=1);
if v259 ne . then psych1 = (v259=1);
if v265 ne . then arthrt1= (v265=1);
if v274 ne . then fall1 = (v274=1 and v275=1);
if v277 ne . then hipfrc1= (v277=1);
if v282 ne . then incont1=(v282=1);

label	    
    highbp1 = 'doc ever told had high bp, w1'
    diabet1 = 'diabetes, w1'
    cancer1 = 'doc ever told had cancer, w1'
    lung1 = 'doc ever told had lung dis, w1'
    heart1 = 'doc ever told heart att/dis, w1'
    stroke1 = 'doc ever told had stroke, w1'
    psych1 = 'ever seen doc for psych prob, w1'
    arthrt1 = 'seen doc lst 12 mo for arthrt, w1'
    fall1= 'fallen lst 12 mo req trtmnt, w1'
    hipfrc1 = 'ever fractured hip, w1'
    incont1 = 'incontinence lst 12 mo, w1'
    ;
 

* HEALTH BEHAVIORS;

if v298 ne . then smoknow1=(v298=1);
if v298 ne . then smokfrm1=(v298=2);
if v298 ne . then smokev1=(v298 in (1,2));
smoknum1 = v299;
if smoknow1=0 then smoknum1=0;

if v301 ne . then drnknow1 = (v301=1);
numdrnk1 = v302;
if drnknow1=0 then numdrnk1=0;

label
    smoknow1 = 'current smoker, w1'
    smokfrm1 ='former smoker, w1'
    smokev1 = 'ever smoker, w1'
    smoknum1 = '# cigs/day, w1'
    drnknow1 = 'drink alcohol, w1'
    numdrnk1='number drinks/day, w1'
;








