 /******************************************************************
  *  code work variables
  *   w2 does not have questions about occupation
  *******************************************************************/

/*
  D2651    D2652    D2653    Frequency     Percent     Frequency      Percent
  ----------------------------------------------------------------------------
      .        .        .          16        0.23            16         0.23  
      .        .        1          69        0.98            85         1.21  
      .        .        2          44        0.63           129         1.84  
      .        .        8           1        0.01           130         1.85  
      .        .        9           1        0.01           131         1.86  
      1        .        .           1        0.01           132         1.88  
      1        .        1         309        4.40           441         6.28  
      1        .        2         207        2.95           648         9.22  
      5        .        .        2439       34.71          3087        43.93  
      5        1        .          71        1.01          3158        44.94  
      5        5        .        3866       55.02          7024        99.96  
      8        8        .           1        0.01          7025        99.97  
      9        9        .           2        0.03          7027       100.00  
*/

/* fix inconsistency in lines 2-5 above */    
if d2651=. and d2653>0 then d2651=1;

if d2651 not in(.,8,9) then work2=(d2651=1); 

if d2651=1 then work22=1;
else do;
    if d2652 not in(.,8,9) then work22=(d2652=1); 
end;

if work2=0 then slfemp2=0;
else do;
    if d2653 not in(.,8,9) then slfemp2=(d2653=2); 
end;

label 
    work2='working now, w2'
    work22='work last 2 years, w2'
    slfemp2='slf emp, w2';

