
%let base=/accounts/projects/mcfadden/psid/web;
%let local=&base/data;
 
libname local  v6 "&local";
libname local8 v8 "&local";
libname track  V6 "&local";

libname mort "&base/datagen/imputation/months";

/* Set these accordingly - Directories for raw data*/

%let rawc1=&base/PSID/newahead/wave1/raw;
%let rawc2=&base/PSID/newahead/wave2/core/raw;
%let rawc3=&base/PSID/newahead/wave3/core/raw;
%let rawc4=&base/PSID/newahead/wave4/core/raw;

%let rawe2=&base/PSID/newahead/wave2/exit/raw;
%let rawe3=&base/PSID/newahead/wave3/exit/raw;
%let rawe4=&base/PSID/newahead/wave4/exit/raw;


/* imputation directories */
%let impdir=&base/datagen/imputation/assets;

/* Asset map files */
filename ncats "&base/datagen/formats/ncats.sas";
libname asstcat  "&base/datagen/formats/asstcat";

libname macros   "&base/datagen/macros";
libname formats  "&base/datagen/formats";

libname cpi     V6  "&base/data";
libname stprice V6  "&base/data";

/* FORMAT FILES */
filename fmt1   "&base/datagen/formats/fmtvars.inc";
filename fmt2  "&base/datagen/formats/fmt.inc";

/* Asset macros */
filename cbrak1    "&base/datagen/ahead1/cbrak1.mac";
filename cbrak2    "&base/datagen/ahead2/cbrak2.mac";
filename cbrak3    "&base/datagen/ahead3/cbrak3.mac";


options 

linesize=80 
pagesize=60 

symbolgen 
macrogen 
source 
source2 

mstored 
sasmstore=macros
fmtsearch=(formats)

; 








